package com.ruoyi.system.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 【请填写功能名称】对象 lcd_info_user_relation
 *
 * @author ruoyi
 * @date 2023-01-16
 */
public class LcdInfoUserRelation extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** lcd_info表的主键 */
    @Excel(name = "lcd_info表的主键")
    private Long lcdInfoId;

    /** lcd_receive_user表的主键 */
    @Excel(name = "lcd_receive_user表的主键")
    private int lcdReceiveUserId;

    /** 创建时间 */
    @JsonFormat(locale="zh", timezone="GMT+8", pattern="yyyy-MM-dd HH:mm:ss")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date createAt;

    /** 更新时间 */
    @JsonFormat(locale="zh", timezone="GMT+8", pattern="yyyy-MM-dd HH:mm:ss")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date updateAt;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setLcdInfoId(Long lcdInfoId)
    {
        this.lcdInfoId = lcdInfoId;
    }

    public Long getLcdInfoId()
    {
        return lcdInfoId;
    }
    public void setLcdReceiveUserId(int lcdReceiveUserId)
    {
        this.lcdReceiveUserId = lcdReceiveUserId;
    }

    public int getLcdReceiveUserId()
    {
        return lcdReceiveUserId;
    }
    public void setCreateAt(Date createAt)
    {
        this.createAt = createAt;
    }

    public Date getCreateAt()
    {
        return createAt;
    }
    public void setUpdateAt(Date updateAt)
    {
        this.updateAt = updateAt;
    }

    public Date getUpdateAt()
    {
        return updateAt;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("lcdInfoId", getLcdInfoId())
                .append("lcdReceiveUserId", getLcdReceiveUserId())
                .append("createAt", getCreateAt())
                .append("updateAt", getUpdateAt())
                .toString();
    }
}
